Subject: [tenchi:105557] <OT> The Passion of the Christ
From: "Bear Powell" <[email-masked]>
To: "TenchiML" <[email-masked]>
Date: Tue, 26 Oct 2004 02:53:01 -0400

Watched this a couple days ago. What a
festering pile of horse flop that movie is. I
am very glad I waited to see it without ever
spending a dime to watch it. South Park's
parody of it hit the nail on the head. Sheesh!
For anyone who rented it, saw it in the theaters,
or bought it, I hope you used someone else's
money.

--------------------------
Bear "replicant" Powell

"Be resolute, fear no sacrifice and surmount every 
 difficulty to win victory." - Chairman Mao Tse Tung

***Currently Playing***
Counter Strike: Source (PC - Steam Online)
"I'm addicted and I suck at this game. >_<!"

***Future MMORPG Prospects***
World of Warcraft (PC) - Fun
Everquest 2 (PC) - Immersive
Wish (PC) - Huge Potential